using System;
using System.Collections.Generic;

namespace ConsoleApp28
{
    class Program
    {
        static void Main(string[] args)
        {
            int N, Q;
            string G = Console.ReadLine();
            N = Int32.Parse(G.Split(' ')[0]);
            Q = Int32.Parse(G.Split(' ')[1]);
            List<int> a = new List<int>();
            List<int> b = new List<int>();
            string[] d1 = Console.ReadLine().Split(' ');
            foreach (var x in d1)
            {
                a.Add(Int32.Parse(x));
            }
            a.Sort();
            string[] d2 = Console.ReadLine().Split(' ');
            foreach (var x in d2)
            {
                int d3 = Int32.Parse(x);
                if (a.IndexOf(d3) == -1)
                {
                    b.Add(N);
                }
                else if (a[N / 2] != d3)
                {
                    b.Add(a.IndexOf(d3) - (N / 2));
                }
                else
                {
                    b.Add(0);
                }
            }
            foreach (var x in b)
            {
                Console.WriteLine(x);
            }
        }
    }
}